Subject: Re: [mile] Comments on IODEF ENUM Draft

From: Eric Burger <[email-masked]>
Date: Wed, 13 Mar 2013 11:28:02 -0400

This document suffers from "do what I mean, not what I say" syndrome.

Here we are, suffering all of the indignities of XML -- lots of angle brackets, slashes, colons, white space, preambles, external definitions that no one looks up, etc. Why do we do this? Because we get explicit data element definitions and unambiguous understanding. So, given we are paying the XML fee, why would we then drop it all and come up with a structured string inside of a <ReferenceName> tag?

Let us say what we mean and break out the abbreviation, version, and id.

It gets worse, and I am back on the version bandwagon. What does it mean if you cannot find the right version? Dot separated strings are a "good idea"? What does that mean? Do you go to the closest major number? How do you report an inability to find the right document? What if the document is there, but you just do not want to support it? Since this draft is for a generic mechanism, it is somewhat OK to not describe specific actions, but it must enumerate that any definition and, if we go there, IANA registration, must specify the appropriate action to take in the common cases, and that people registering values must describe the registration-specific actions.

Lastly, the IANA section specifies a designated expert, but also says consult MILE. Pick one. Either it is a designated expert, and the AD will ensure their selectee works with MILE (or its successors) or you want work group review, and the WG chair will ensure they select an expert to do the review.